Bug 1297174 - (spectacle) Review Request: spectacle - Screenshot capture utility
Review Request: spectacle - Screenshot capture utility
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattia Verga
Fedora Extras Quality Assurance
: Reopened
Depends On: kf5-libkipi
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2016-01-10 02:45 EST by Rex Dieter
Modified: 2016-02-21 11:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-21 11:29:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattia.verga: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2016-01-10 02:45:22 EST
Spec URL: https://rdieter.fedorapeople.org/rpms/kde-apps/spectacle.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde-apps/spectacle-15.12.1-1.fc23.src.rpm
Description: Screenshot caputure utility
Fedora Account System Username: rdieter
Comment 1 Upstream Release Monitoring 2016-01-10 02:45:27 EST
rdieter's scratch build of spectacle-15.12.1-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12489326
Comment 2 Upstream Release Monitoring 2016-01-10 03:01:12 EST
rdieter's scratch build of spectacle-15.12.1-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12489330
Comment 3 Mattia Verga 2016-01-10 07:07:35 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in spectacle
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- update-desktop-database is invoked in %post and %postun if package
  contains desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in spectacle
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database
- License is set to LGPLv2+ but licencheck says:
  GPL (v2 or later)
  -----------------
  spectacle-15.12.1/src/KipiInterface/KSGKipiImageCollectionSelector.cpp
  spectacle-15.12.1/src/KipiInterface/KSGKipiImageCollectionSelector.h
  
  LGPL (v2)
  ---------
  spectacle-15.12.1/src/Gui/ScreenClipper.cpp
  spectacle-15.12.1/src/Gui/ScreenClipper.h


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2)", "LGPL (v2 or later)", "GPL (v2 or later)",
     "Unknown or generated". 27 files have unknown license. Detailed output
     of licensecheck in /home/rpmbuild/1297174-spectacle/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/22x22, /usr/share/icons/hicolor/22x22/apps,
     /usr/share/icons/hicolor/32x32/apps, /usr/share/khotkeys,
     /usr/share/dbus-1, /usr/share/dbus-1/services,
     /usr/share/icons/hicolor/16x16/apps, /usr/share/icons/hicolor/16x16,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/48x48/apps,
     /usr/share/doc/HTML, /usr/share/icons/hicolor/scalable/apps,
     /usr/share/icons/hicolor/32x32, /usr/share/icons/hicolor,
     /usr/share/doc/HTML/en, /usr/share/dbus-1/interfaces,
     /usr/share/icons/hicolor/scalable
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 962560 bytes in 5 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     http://download.kde.org/stable/applications/15.12.1/src/spectacle-15.12.1.tar.xz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     spectacle-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[!]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1024000 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: spectacle-15.12.1-1.fc24.x86_64.rpm
          spectacle-debuginfo-15.12.1-1.fc24.x86_64.rpm
          spectacle-15.12.1-1.fc24.src.rpm
spectacle.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/spectacle.svgz
spectacle.x86_64: W: no-manual-page-for-binary spectacle
spectacle.src: W: invalid-url Source0: http://download.kde.org/stable/applications/15.12.1/src/spectacle-15.12.1.tar.xz HTTP Error 403: Forbidden
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: spectacle-debuginfo-15.12.1-1.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
spectacle.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/spectacle.svgz
spectacle.x86_64: W: no-manual-page-for-binary spectacle
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
spectacle-debuginfo (rpmlib, GLIBC filtered):

spectacle (rpmlib, GLIBC filtered):
    libKF5Auth.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5Completion.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5DBusAddons.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5JobWidgets.so.5()(64bit)
    libKF5KIOCore.so.5()(64bit)
    libKF5KIOWidgets.so.5()(64bit)
    libKF5Kipi.so.30.0.0()(64bit)
    libKF5Notifications.so.5()(64bit)
    libKF5Screen.so.6()(64bit)
    libKF5Service.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libKF5WindowSystem.so.5()(64bit)
    libKF5XmlGui.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.6)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5PrintSupport.so.5()(64bit)
    libQt5PrintSupport.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5X11Extras.so.5()(64bit)
    libQt5X11Extras.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libxcb-cursor.so.0()(64bit)
    libxcb-image.so.0()(64bit)
    libxcb-render.so.0()(64bit)
    libxcb-shape.so.0()(64bit)
    libxcb-shm.so.0()(64bit)
    libxcb-util.so.1()(64bit)
    libxcb-xfixes.so.0()(64bit)
    libxcb.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
spectacle-debuginfo:
    spectacle-debuginfo
    spectacle-debuginfo(x86-64)

spectacle:
    application()
    application(org.kde.spectacle.desktop)
    spectacle
    spectacle(x86-64)



Generated by fedora-review 0.6.0 (7737a2a) last change: 2015-11-26
Command line :./FedoraReview/try-fedora-review -b 1297174
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Mattia Verga 2016-01-10 07:08:44 EST
I forgot to add in the issues that the Source URL isn't working.
Comment 5 Rex Dieter 2016-01-10 08:21:52 EST
https://rdieter.fedorapeople.org/rpms/kde-apps/spectacle.spec
https://rdieter.fedorapeople.org/rpms/kde-apps/spectacle-15.12.0-2.fc23.src.rpm

%changelog
* Sun Jan 10 2016 Rex Dieter <rdieter@fedoraproject.org> 15.12.0-2
- add icon scriptlets
- License: GPLv2
- version: 15.12.0, so Source URL works (15.12.1 not publically available yet)

No mimetype scriptlets should be needed, the app's .desktop file includes empty MimeTypes key
MimeType=
Comment 6 Mattia Verga 2016-01-10 09:45:13 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
None. Package APPROVED

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2)", "LGPL (v2 or later)", "GPL (v2 or later)",
     "Unknown or generated". 27 files have unknown license. Detailed output
     of licensecheck in /home/rpmbuild/1297174-spectacle/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/22x22, /usr/share/icons/hicolor/22x22/apps,
     /usr/share/icons/hicolor/32x32/apps, /usr/share/khotkeys,
     /usr/share/dbus-1, /usr/share/dbus-1/services,
     /usr/share/icons/hicolor/16x16/apps, /usr/share/icons/hicolor/16x16,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/48x48/apps,
     /usr/share/doc/HTML, /usr/share/icons/hicolor/scalable/apps,
     /usr/share/icons/hicolor/32x32, /usr/share/icons/hicolor,
     /usr/share/doc/HTML/en, /usr/share/dbus-1/interfaces,
     /usr/share/icons/hicolor/scalable
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in spectacle
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 962560 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     spectacle-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1024000 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: spectacle-15.12.0-2.fc24.x86_64.rpm
          spectacle-debuginfo-15.12.0-2.fc24.x86_64.rpm
          spectacle-15.12.0-2.fc24.src.rpm
spectacle.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/spectacle.svgz
spectacle.x86_64: W: no-manual-page-for-binary spectacle
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: spectacle-debuginfo-15.12.0-2.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
spectacle.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/spectacle.svgz
spectacle.x86_64: W: no-manual-page-for-binary spectacle
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
spectacle-debuginfo (rpmlib, GLIBC filtered):

spectacle (rpmlib, GLIBC filtered):
    /bin/sh
    libKF5Auth.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5Completion.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5DBusAddons.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5JobWidgets.so.5()(64bit)
    libKF5KIOCore.so.5()(64bit)
    libKF5KIOWidgets.so.5()(64bit)
    libKF5Kipi.so.30.0.0()(64bit)
    libKF5Notifications.so.5()(64bit)
    libKF5Screen.so.6()(64bit)
    libKF5Service.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libKF5WindowSystem.so.5()(64bit)
    libKF5XmlGui.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.6)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5PrintSupport.so.5()(64bit)
    libQt5PrintSupport.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5X11Extras.so.5()(64bit)
    libQt5X11Extras.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libxcb-cursor.so.0()(64bit)
    libxcb-image.so.0()(64bit)
    libxcb-render.so.0()(64bit)
    libxcb-shape.so.0()(64bit)
    libxcb-shm.so.0()(64bit)
    libxcb-util.so.1()(64bit)
    libxcb-xfixes.so.0()(64bit)
    libxcb.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
spectacle-debuginfo:
    spectacle-debuginfo
    spectacle-debuginfo(x86-64)

spectacle:
    application()
    application(org.kde.spectacle.desktop)
    spectacle
    spectacle(x86-64)



Source checksums
----------------
http://download.kde.org/stable/applications/15.12.0/src/spectacle-15.12.0.tar.xz :
  CHECKSUM(SHA256) this package     : 303b4739c544e3292a19f4cca4b8f8627f4430b18deb87dbe3e189324974ce7a
  CHECKSUM(SHA256) upstream package : 303b4739c544e3292a19f4cca4b8f8627f4430b18deb87dbe3e189324974ce7a


Generated by fedora-review 0.6.0 (7737a2a) last change: 2015-11-26
Command line :./FedoraReview/try-fedora-review -b 1297174
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 Gwyn Ciesla 2016-01-11 14:26:19 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/spectacle
Comment 8 Rex Dieter 2016-01-12 08:47:56 EST
imported
Comment 9 Fedora Update System 2016-02-09 17:56:00 EST
kf5-libkipi-15.12.1-1.fc23 spectacle-15.12.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ce83cb6a02
Comment 10 Fedora Update System 2016-02-09 17:56:09 EST
kf5-libkipi-15.12.1-1.fc23 spectacle-15.12.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ce83cb6a02
Comment 11 Fedora Update System 2016-02-10 13:52:11 EST
kf5-libkipi-15.12.1-1.fc23, spectacle-15.12.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ce83cb6a02
Comment 12 Fedora Update System 2016-02-21 11:28:53 EST
kf5-libkipi-15.12.1-1.fc23, spectacle-15.12.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.